Переполнение буфера в OpenSG

Дата публикации:
03.02.2009
Дата изменения:
03.02.2009
Всего просмотров:
1396
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenSG 1.x
Уязвимые версии: OpenSG 1.8.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "HDRImageFileType::checkHDR()" в файле Source/System/Image/OSGHDRImageFileType.cpp. Удаленный пользователь может с помощью специально сформированного Radiance RGBE (*.hdr) файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: opensg.vrsource.org/trac

Решение: Установите исправление из CVS репозитория производителя.

Ссылки: Secunia Research: OpenSG Radiance RGBE Buffer Overflow Vulnerability

или введите имя

CAPTCHA